aboutsummaryrefslogtreecommitdiff
path: root/scripts/test.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2008-05-04 16:03:10 -0500
committerRob Landley <rob@landley.net>2008-05-04 16:03:10 -0500
commitc564834cdc4554c601ad6d23a17a4b84ab95953d (patch)
tree29a15092b31cd44518b43f7c8be09b43f5c31874 /scripts/test.sh
parent0a2d88a127c1e8accd2dbea08155bbd72c9d87f6 (diff)
downloadtoybox-c564834cdc4554c601ad6d23a17a4b84ab95953d.tar.gz
Teach run-all-tests mode to only test enabled commands.
Diffstat (limited to 'scripts/test.sh')
-rwxr-xr-xscripts/test.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/scripts/test.sh b/scripts/test.sh
index 1833682f..8a080dbf 100755
--- a/scripts/test.sh
+++ b/scripts/test.sh
@@ -7,7 +7,7 @@ mkdir -p testdir
if [ -z "$OLD" ]
then
- make install_flat PREFIX=testdir
+ make install_flat PREFIX=testdir || exit 1
fi
cd testdir
@@ -25,6 +25,12 @@ then
else
for i in "$TOPDIR"/scripts/test/*.test
do
- . $i
+ CMDNAME="$(echo "$i" | sed 's@.*/\(.*\)\.test@\1@')"
+ if [ -h $CMDNAME ]
+ then
+ . $i
+ else
+ echo "$CMDNAME disabled"
+ fi
done
fi